Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 102490 - mail-client/evolution-{2.2.3-r2|2.3.8} linking only to mozilla or mozilla-firefox
Summary: mail-client/evolution-{2.2.3-r2|2.3.8} linking only to mozilla or mozilla-fir...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: GNOME Office (OBSOLETE)
URL:
Whiteboard:
Keywords: Inclusion
Depends on: 100597
Blocks:
  Show dependency tree
 
Reported: 2005-08-14 07:08 UTC by Gergan Penkov
Modified: 2006-04-27 08:57 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
evolution-rpath.patch (evolution-rpath.patch,691 bytes, patch)
2005-08-14 07:13 UTC, Gergan Penkov
Details | Diff
evolution-2.2.3-r3.ebuild (evolution-2.2.3-r3.ebuild,5.86 KB, text/plain)
2005-08-14 07:15 UTC, Gergan Penkov
Details
evolution-2.2.3-r3.ebuild (evolution-2.2.3-r3.ebuild,5.42 KB, text/plain)
2005-08-14 15:02 UTC, Gergan Penkov
Details
evolution-2.3.8.ebuild (evolution-2.3.8.ebuild,5.25 KB, text/plain)
2005-08-26 12:17 UTC, Gergan Penkov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gergan Penkov 2005-08-14 07:08:50 UTC
It is absolutely the same situation as with evolution-data-server and bug
#102487 - the full discription could be found there. 
I will attach ebuild and patch, which could resolve this issue and will use only
mozilla/firefox as dependancy. This bug will also depend on bug #100597, if the
firefox-use-flag is used.
Comment 1 Gergan Penkov 2005-08-14 07:13:23 UTC
Created attachment 65926 [details, diff]
evolution-rpath.patch

This will apply a rpath-tag to all libraries in evolution, which need it, to
ensure they will correctly link at run-time to the selected nss/nprs libraries
(mozilla's or firefox's)
Comment 2 Gergan Penkov 2005-08-14 07:15:55 UTC
Created attachment 65927 [details]
evolution-2.2.3-r3.ebuild

The ebuild, which applies the patch and which reduces the choices for
nss/nspr-libraries  only to mozilla and firefox.
Comment 3 Gergan Penkov 2005-08-14 15:02:27 UTC
Created attachment 65974 [details]
evolution-2.2.3-r3.ebuild

It could be made without the patch, but the ebuild needs the mozilla,
mozilla-firefox ebuilds from bug #100597, because the pkgconfig files are not
correct in the current ebuilds.
Comment 4 Gergan Penkov 2005-08-15 17:14:17 UTC
It only depends and does not block on #100597, because the ebuilds should be now
in portage and it is possible to build against mozilla or mozilla-firefox (the
libraries are essentially the same (even have the same size), so I don't think
it is a risk building it against firefox.
Comment 5 Gergan Penkov 2005-08-26 12:17:28 UTC
Created attachment 66930 [details]
evolution-2.3.8.ebuild

The new evolution ebuild, which uses mozilla or mozilla-firefox.
Comment 6 Gergan Penkov 2006-04-27 08:57:03 UTC
I have forgotten about this - with nss/nspr corrected in portage and the ebuilds using only them this is not a problem anymore.
so closing.
the only thing probably left is make evolution and e-d-s use the pkg-config files from nss/nspr.